class Rectangle:
    rectcnt = 0
    def __init__(self, x1, y1, x2, y2):
        self.x1, self.x2, self.y1, self.y2 = x1, x2, y1, y2
        self.__class__.rectcnt += 1
        k = int(Rectangle.rectcnt)
        setattr(self, f'rect_{k}', k)
    def __str__(self):
        return f'{self.__class__.rectcnt}:({self.x1}, {self.y1})({self.x1}, {self.y2})({self.x2}, {self.y1})({self.x2}, {self.y2})'
    def __lt__(self, item):
        return abs(self) < abs(item)
    def __eq__(self, item):
        return abs(self) == abs(item)
    def __abs__(self):
        return (self.x2-self.x1)*(self.y2-self.y1)
    def __mul__(self, item):
        return self.__class__(self.x1*item, self.y1*item, self.x2*item, self.y2*item)
    __rmul__ = __mul__
    def __getitem__(self, item):
        if item > 3:
            raise IndexError
        return eval(f'self.x{item//2+1}'), eval(f'self.y{item%2+1}')
    def __bool__(self):
        return abs(self) != 0
    def __del__(self):
        self.__class__.rectcnt -= 1
a,b = Rectangle(0,0,4,4,), Rectangle(1,2,3,4)
print(a, b)
print(a.rectcnt, a.rect_1)
print(abs(a),abs(b))
print(b < a, a == b)
print(b*5, a*2)
print(a[1])

