from typing import Any


class Omnibus:

    _dict_of_atrrs = {}
    _set_of_attrs = set()
    def __setattr__(self, name, x):
        if (name[0] != '_'):
            self._set_of_attrs.add(name)
            self.__class__._dict_of_atrrs.setdefault(name, 0)
            self.__class__._dict_of_atrrs[name] += 1

    def __delattr__(self, name: str) -> None:
        self.__class__._dict_of_atrrs.setdefault(name, 0)
        if self.__class__._dict_of_atrrs[name] != 0 and name in self._set_of_attrs:
            self._set_of_attrs.remove(name)
            self.__class__._dict_of_atrrs[name] -= 1      
    def __getattribute__(self, name: str) -> Any:
        if (name[0] != '_'):
            return self.__class__._dict_of_atrrs[name]
        return object.__getattribute__(self, name)
# a, b, c = Omnibus(), Omnibus(), Omnibus()
# # del a.random
# a.i = a.j = a.k = True
# b.j = b.k = b.n = False
# c.k = c.n = c.m = hex
# print(a.i, a.j, a.k, b.j, b.k, b.n, c.k, c.n, c.m)
# del a.k, b.n, c.m
# print(a.i, a.j, b.j, b.k, c.k, c.n)
# del a.k, c.m
# print(a.i, a.j, b.j, b.k, c.k, c.n)
# a.k = b.i = c.m = 777
# print(a.i, a.j, a.k, b.j, b.k, c.k, c.n, c.m) 
import sys
exec(sys.stdin.read())