from queue import Queue
class Maze:
    def __init__(self, N):
        self.mas = [['·' if j%2 else '█' for j in range(2*N+1)] if i%2 else [*('█'*(N*2+1))] for i in range(2*N+1)]
        self.N = N
    def __setitem__(self, item, value):
        if type(item) == tuple:
            x0, y0 = item[0]*2+1, item[1].start*2+1
            x1, y1 = item[1].stop*2+1, item[2]*2+1
            x0, x1 = min(x0, x1), max(x0, x1)
            y0, y1 = min(y0, y1), max(y0, y1)
            for i in range(y0, y1+1):
                for j in range(x0, x1+1):
                    self.mas[i][j] = value
            return value
    def __getitem__(self, item):
        if type(item) == tuple:
            x0, y0 = item[0]*2+1, item[1].start*2+1
            x1, y1 = item[1].stop*2+1, item[2]*2+1
            mazik = [row[:] for row in self.mas]
            
            way = Queue()
            
            way.put((y0, x0))
            flg = False
            while not(way.empty()):
                a, b = way.get()
                if mazik[a+1][b] == '·':
                    way.put((a+1, b))
                if mazik[a][b+1] == '·':
                    way.put((a, b+1))
                if mazik[a][b-1] == '·':
                    way.put((a, b-1))
                if mazik[a-1][b] == '·':
                    way.put((a-1, b))
                mazik[a][b] = '#'
                if a == y1 and b == x1:
                    flg = True
                    break
            return flg
    def __str__(self):
        return '\n'.join([''.join(self.mas[i]) for i in range(2*self.N+1) ])
# m = Maze(4)
# print(m)
# print(m[0,0 : 1,0],m[0,0 : 2,2],m[1,0 : 1,2])
# m[0,0 : 0,3] = m[0,3 : 3,3] = m[3,3 : 3,0] = m[3,0 : 2,0] = m[2,0 : 2,2] = m[1,0 : 1,2] = "·"
# print(m)
# print(m[0,0 : 1,0],m[0,0 : 2,2],m[1,0 : 1,2])
import sys
exec(sys.stdin.read())