from functools import wraps
def genf(f):
    @wraps(f)
    def newfun(*args):
        print(">", *args)
        res = f(*args)
        print("<", res)
        return res
    return newfun

def check_int(f):
    @wraps(f)
    def newfun(*args):
        for el in args:
            if type(el) != int:
                raise TypeError
        return f(*args)
    return newfun

@genf
@check_int
def fun(a,b):
    '''this is Sparta'''
    return a*2+b

print(fun(2, 3))
print(fun(2, 'bibus'))