import asyncio

async def merge(A, B, start, middle, finish, event_in1, event_in2, event_out):
    await asyncio.gather(event_in1.wait(), event_in2.wait())
    i, j, k = start, start, middle 
    while i < middle or j < finish:
        B[j] = A[(i:=i+1)-1] if k == finish or (i < middle and A[i] < A[k]) else A[(k:=k+1)-1]
        j+=1
    event_out.set()

async def mtasks(A):
    C, B, tasks, events= [el for el in A], [0] * len(A), [], []
    for i in range(len(C) + 1):
        events.append(asyncio.Event())
        events[i].set()
    flg, k = True, 1
    while k < len(C):
        for start in range(0, len(A), k * 2):
            finish = min(start + k * 2, len(C))
            events.append(asyncio.Event())
            tasks.append(asyncio.create_task(merge(C if flg else B, B if flg else C, start, min(start + k, len(A) - 1), finish, events.pop(0), events.pop(0), events[-1])))  
        events.append(events[-1])
        flg, k = not flg, k*2
    return (tasks, C) if flg else (tasks, B)

import sys
exec(sys.stdin.read())

