
def toFixed(numObj, digits=0):
    return f"{numObj:.{digits}f}"
class InvalidInput(Exception):
    def __init__(self):
        pass
    def __str__(self) -> str:
        return 'Invalid Input'
class BadTriangle(Exception):
    def __init__(self):
        pass
    def __str__(self) -> str:
        return 'Not a triangle'
def triangleSquare(inStr):
    try:
        (x1, y1), (x2, y2), (x3, y3) = eval(inStr)
    except Exception:
        raise InvalidInput
    try:
        s = abs(1/2*(x1*(y2 - y3) + x2*(y3-y1) + x3*(y1-y2)))
        if s == 0:
            raise Exception
    except Exception:
        raise BadTriangle
    return toFixed(s, 2)
while True:
    a = input()
    try:
        print(triangleSquare(a))
        break
    except Exception as e:
        print(e)

