def repeat(times):
    def repeater(fun):
        def newfun(*args, **kwargs):
            return [fun(*args, **kwargs) for i in range(times)]
        return newfun
    return repeater

def check_type(typ):
    def decorator(f):
        def newfun(*args):
            for el in args:
                if not isinstance(el, typ):
                    raise TypeError
            return f(*args)
        return newfun
    return decorator

@check_type(int)
@repeat(5)
def simplefun(N):
    return N*2+1

print(*simplefun(4))
print(*simplefun('bruh'))