# class C:
#     __slots__ = ['one', 'two']
#     three = 100505
# print(C.__dict__)
from pympler import asizeof
class S:
    __slots__ = ['x']
    def __init__(self, val) -> None:
        self.x = val
class R:
    def __init__(self, val) -> None:
        self.x = val
import time
start_time = time.time()
r1 = [R(i) for i in range(1000)]
print("--- %s seconds ---" % (time.time() - start_time))

start_time = time.time()
s1 = [S(i) for i in range(1000)]
print("--- %s seconds ---" % (time.time() - start_time))


print(asizeof.asizeof(r1))
print(asizeof.asizeof(s1))
