from string import ascii_lowercase

class Alpha():
    __slots__ = list(ascii_lowercase)

    def __init__(self, **args) -> None:
        for el in args.items():
            self.__setattr__(el[0], el[1])
    
    def __str__(self) -> str:
        ans = []
        for el in self.__slots__:
            try:
                ans.append(f'{el}: {self.__getattribute__(el)}')
            except:
                pass
        return ', '.join(ans)


class AlphaQ():

    def __init__(self, **args) -> None:
        for el in args.items():
            self.__setattr__(el[0],el[1])
        
    def __setattr__(self, __name: str, __value) -> None:    
        if __name in ascii_lowercase and len(__name) == 1 :
            super().__setattr__(__name,__value)
        else:
            raise AttributeError
    
    def __str__(self) -> str:
        ans = []
        for el in sorted(self.__dict__.keys()):
            ans.append(f'{el}: {self.__getattribute__(el)}')
        return ', '.join(ans)

        
# alp = Alpha(c=10, z=2, a=42)
# alp.e = 123
# print(alp)
# alq = AlphaQ(c=10, z=2, a=42)
# alq.e = 123
# print(alq)
import sys
exec(sys.stdin.read())