from types import FunctionType

class dump(type):
    def __new__(cls, name, bases, dct):
        for key, value in dct.items():
            if isinstance(value, FunctionType):
                dct[key] = cls.wrap_method(value, key)
        return super().__new__(cls, name, bases, dct)

    @staticmethod
    def wrap_method(method, name):
        def wrapper(self, *args, **kwargs):
            filtered_args = tuple(arg for arg in args if isinstance(arg, (str, int, float, bool)))
            filtered_kwargs = {k: v for k, v in kwargs.items() if isinstance(v, (str, int, float, bool))}
            print(f"{name}: {filtered_args}, {filtered_kwargs}")
            return method(self, *args, **kwargs)
        return wrapper
import sys
exec(sys.stdin.read())
